curl --location --request POST '/store/products' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "Biji kopi arabica",
"sku": "ESB-008",
"description": "Kopi pilihan asli",
"path_url": "biji-kopi-arabica",
"category_id": 1,
"weight": 1000,
"length": 10,
"height": 10,
"width": 10,
"qty": 10000,
"advantages_title": "Kopi ini memiliki hint",
"product_advantages_item": [
{
"name": "Kopi Enak"
},
{
"name": "Kopi Hitam"
}
],
"video_url": "https://www.youtube.com",
"custom_icon": [
{
"file_icon_path": "Star",
"seal_name": "Kualitas Terjamin",
"file_icon_color": "#FF7203"
},
{
"file_icon_path": "CreditCard",
"seal_name": "Mutu Terjamin",
"file_icon_color": "#FF7203"
}
],
"image": [
{
"file_name": "1750661540-444.png"
}
],
"attributes": [
{
"name": "Kemasan Kopi",
"items": [
"halus",
"sedang"
],
"priority": 1
},
{
"name": "Tingkat Giling",
"items": [
"1000 gr",
"2000 gr"
],
"priority": 2
}
],
"varian_items": [
{
"name": "Halus; 1000 gr",
"sku": "ESB-006-01",
"stok": 101,
"min_qty": 100,
"weight": 100,
"length": 10,
"height": 10,
"width": 10,
"price": 45000,
"publish_rate": 50000,
"hpp": 40000,
"status": 1
},
{
"name": "Halus; 2000 gr",
"sku": "ESB-006-02",
"stok": 302,
"min_qty": 100,
"weight": 200,
"length": 10,
"height": 10,
"width": 10,
"price": 65000,
"publish_rate": 70000,
"hpp": 60000,
"status": 0
},
{
"name": "sedang; 1000 gr",
"sku": "ESB-006-03",
"stok": 101,
"min_qty": 100,
"weight": 100,
"length": 10,
"height": 10,
"width": 10,
"price": 45000,
"publish_rate": 50000,
"hpp": 40000,
"status": 1
},
{
"name": "sedang; 2000 gr",
"sku": "ESB-006-04",
"stok": 302,
"min_qty": 100,
"weight": 200,
"length": 10,
"height": 10,
"width": 10,
"price": 65000,
"publish_rate": 70000,
"hpp": 60000,
"status": 0
}
],
"product_cs": [
{
"cs_id": "2222200000"
}
],
"type": 2,
"digital_file": {
"file_name": "1775016213-8255.mp4",
"file_size": 333664439,
"file_type": "link",
"file_path": "stores/105/general/1775016213-8255.mp4",
"file_note": null
},
"voucher_include": false,
"draft": 0,
"tracking_adds": {
"all_event": true,
"facebook_pixel": {
"pixel_id": [
18273213123,
13123131231
],
"event": [
"AddToCart",
"Purchase",
"ViewContent"
]
},
"tiktok_pixel": {
"pixel_id": [
18273213123,
13123131231
],
"event": [
"AddToCart",
"Purchase",
"ViewContent"
]
},
"google_tag_manager": []
}
}'